/* Diese Datei ist Teil von pmv-client <https://git.piratenpartei-sh.de>
 *
 * pmv-client ist Freie Software: Sie können es unter den Bedingungen
 * der GNU General Public License, wie von der Free Software Foundation,
 * Version 3 der Lizenz weiter verteilen und/oder modifizieren.
 *
 * Dieses Programm wird in der Hoffnung bereitgestellt, dass es nützlich sein
 * wird, jedoch OHNE JEDE GEWÄHR,; sogar ohne die implizite Gewähr der
 * MARKTFÄHIGKEIT oder EIGNUNG FÜR EINEN BESTIMMTEN ZWECK.
 * Siehe die GNU General Public License für weitere Einzelheiten.
 *
 * Sie sollten eine Kopie der GNU General Public License zusammen mit diesem
 * Programm erhalten haben. Wenn nicht, siehe <https://www.gnu.org/licenses/>.
 *
 * SPDX-License-Identifier: GPL-3.0-only
 */

#ifndef AMTADRESSDIALOG_H
#define AMTADRESSDIALOG_H

#include <QDialog>
#include <QSqlTableModel>
#include <QDataWidgetMapper>

namespace Ui {
class AmtAdressDialog;
}

class AmtAdressDialog : public QDialog
{
    Q_OBJECT

public:
    explicit AmtAdressDialog(QWidget *parent = nullptr);
    ~AmtAdressDialog();

private slots:
    void on_buttonBox_accepted();

    void on_pushButton_neu_clicked();

    void on_pushButton_speichern_clicked();

private:
    Ui::AmtAdressDialog *ui;
    QSqlTableModel *model;
    QDataWidgetMapper *mapper;
};

#endif // AMTADRESSDIALOG_H
